TONTONDocs
TON CenterAPI referenceSend

Estimate fee

Calculate the fees required to send a message.

POST
/api/v2/estimateFee
*object

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/estimateFee" \  -H "Content-Type: application/json" \  -d '{    "address": "EQAPgRDXZBQAWp8KfetNFZOLHNjbIt8_Fg7VtIM3c1q7YtHM",    "body": "te6cckEBBAEAkQABoXNpZ25///8R/////wAAAAGAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIAECCg7DyG0CAgMAAABgQgAHwIhrsgoALU+FPvWmisnFjmxtkW+fiwdq2kGbua1dsQAAAAAAAAAAAAAAAAAASigcDQ==",    "ignore_chksig": true  }'
{
  "ok": true,
  "result": {
    "@type": "query.fees",
    "source_fees": {
      "@type": "fees",
      "in_fwd_fee": 0,
      "storage_fee": 0,
      "gas_fee": 0,
      "fwd_fee": 0
    },
    "destination_fees": [
      {
        "@type": "fees",
        "in_fwd_fee": 0,
        "storage_fee": 0,
        "gas_fee": 0,
        "fwd_fee": 0
      }
    ]
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "Stack should be array"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 500,
  "error": "Exit code <N> != 0"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings